Subject: bug#34196: 27.0.50; tramp hangs on wrong password with global-auto-revert-mode

From: Michael Albinus <[email-masked]>
Date: Mon, 04 Feb 2019 16:06:58 +0100

Michael Albinus <[email-masked]> writes:

Hi Aaron,

>>> It appears that the hang happens when (expand-file-name
>>> default-directory) is hit within auto-revert-notify-add-watch for the
>>> tramp buffer: /sudo:[email-masked]

> For the records, I've seen the bug report, and I could reproduce
> it. Since I'm in a transition phase with Tramp, reworking
> accept-process-output usage, it will take some days until I could
> handle. Don't despair :-)

Finally, I found the time to dig into this. I've pushed a fix to master
(disable `global-auto-revert-mode' temporarily). Could you, pls, recheck?

>> Aaron

Best regards, Michael.